package com.zayac.admin.system.service;

import com.zayac.admin.common.model.resp.LabelValueResp;
import com.zayac.admin.system.model.entity.PlatformDO;
import top.continew.starter.extension.crud.service.BaseService;
import com.zayac.admin.system.model.query.PlatformQuery;
import com.zayac.admin.system.model.req.PlatformReq;
import com.zayac.admin.system.model.resp.PlatformDetailResp;
import com.zayac.admin.system.model.resp.PlatformResp;

import java.util.List;

/**
 * 平台业务接口
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
public interface PlatformService extends BaseService<PlatformResp, PlatformDetailResp, PlatformQuery, PlatformReq> {
    PlatformDO getByName(String name);

    PlatformDO getByPlatformId(Integer platformId);

    List<LabelValueResp<Long>> buildDict(List<PlatformResp> list);
}